service daemon/ifplugd {

	need = system/localmount system/modules net/eth0
	use = system/static-modules system/coldplug

start {
CFG=/etc/default/ifplugd

IFPLUGD=/usr/sbin/ifplugd
test -x $IFPLUGD || exit 0
[ -f $CFG ] && . $CFG


[ $# -ne 0 ] && INTERFACES="$@"

[ "x$INTERFACES" = "xauto" -o "x$INTERFACES" = "xall" ] && INTERFACES="`cat /proc/net/dev | awk '{ print $1 }' | egrep '^(eth|wlan)' | cut -d: -f1`"

        echo -n "Starting Network Interface Plugging Daemon:"
        for IF in $INTERFACES ; do
            IF1=$(echo $IF | sed "s/-/_/")
            A=$(eval echo \$\{ARGS_${IF1}\})
            [ -z "$A" ] && A="$ARGS"
            $IFPLUGD -i $IF $A
            echo -n " $IF"
        done
        echo "."


}

stop {
        echo -n "Stopping Network Interface Plugging Daemon:"
        for IF in $INTERFACES ; do
            $IFPLUGD -k --wait-on-kill -i $IF
            echo -n " $IF"
        done
        echo "."
}


}
