
service system/bootmisc {
	need = system/initial system/mountfs
	use = system/hdparm
#	use clock hostname
#	before logger

start {
#!/bin/bash
#
# Put a nologin file in /etc to prevent people from logging in before
# system startup is complete.
#
if [ -e /etc/conf.d/bootmisc ]
then
    source /etc/conf.d/bootmisc
    if [ ${DELAYLOGIN} == "yes" ] ; then
	echo "System bootup in progress - please wait" > /etc/nologin && cp /etc/nologin /etc/nologin.boot 2>&1 >/dev/null &
    fi
fi

if [ -e /etc/sysctl.conf ] ; then
    echo "Configuring kernel parameters ..."
    /sbin/sysctl -p /etc/sysctl.conf 2>&1 >/dev/null &
fi

#if [ -z ${CDBOOT} ] && ! touch /var/run/.keep 2> /dev/null ; then
#    echo "Skipping /var and /tmp initialization (ro root?)"
#    return 0
#fi

if [ -x /sbin/env-update.sh ] ; then
    if [ /etc/env.d -nt /etc/profile.env ]
    then
	echo "Updating environment ..."
	/sbin/env-update.sh -u > /dev/null &
    else	
	echo "Environment up to date ..."
    fi
fi

# Setup login records
echo -n ""
> /var/run/utmp
touch /var/log/wtmp
chgrp utmp /var/run/utmp /var/log/wtmp
chmod 0664 /var/run/utmp /var/log/wtmp
# Remove /var/run/utmpx (bug from the past)
rm -f /var/run/utmpx
# Reset pam_console permissions
if [ -x /sbin/pam_console_apply ] && [ ! -c /dev/.devfsd ] ; then
	/sbin/pam_console_apply -r &
fi
# Create the .keep to stop portage from removing /var/lock
> /var/lock/.keep

#
# Clean up /tmp directory
#
#if [ -z ${CDBOOT} ] ; then
echo "Cleaning /tmp directory ..."
rm -f /tmp/.X*-lock /tmp/esrv* /tmp/kio* /tmp/jpsock.* /tmp/.fam* 2>&1 >/dev/null &
rm -rf /tmp/.esd* /tmp/orbit-* /tmp/ssh-* /tmp/ksocket-* 2>&1 >/dev/null &
# Make sure our X11 stuff have the correct permissions
rm -rf /tmp/.*-unix ; mkdir -p /tmp/.{ICE,X11}-unix ; chmod 1777 /tmp/.{ICE,X11}-unix 2>&1 >/dev/null &
#fi

#
# Create an 'after-boot' dmesg log
#
touch /var/log/dmesg &
chmod 640 /var/log/dmesg &
dmesg > /var/log/dmesg &

#
# Check for /etc/resolv.conf, and create if missing
#
[ -f /etc/resolv.conf ] || touch /etc/resolv.conf 2>&1 >/dev/null &



wait
exit 0
}

}
# vim:ts=4
