
service system/static-modules {
	need = system/initial system/mountroot system/modules
	
start {
    
load_modules() {
	local x=
	local i=0
	local retval=0
	local modules=
	local modargs=
	local modcount=0
	local config="$1"

	[ -z "${config}" ] && return 0
	[ ! -r "${config}" ] && return 0
	
	MODLIST=$(cat /etc/modules.autoload.d/kernel-2.6  | grep -v '^#' | grep '.')
	
	if [ ! -z "$MODLIST" ]; then
		echo "Using ${config} as config:"
		IFS=$'\n'
		for x in ${MODLIST}
		do
			MODULE=$(echo $x | cut -d' ' -f1)
			MODARGS=$(echo $x | cut -d' ' -f2-)
			echo "  Loading module ${MODULE} ..."
			modprobe -q MODULE MODARGS >/dev/null 2>&1
			retval="$?"
			
			i=$((i+1))
			[ "${retval}" -eq 0 ] || modcount=$((modcount-1))
		done

		echo "Autoloaded ${i} module(s)"
	fi

	return 0
}


# Dont probe kernel version, ining, requires 2.6 anyway
if [ -e /etc/modules.autoload.d/kernel-2.6 ]; then
    load_modules /etc/modules.autoload.d/kernel-2.6
fi

if [ -e /etc/modules ]; then
    load_modules /etc/modules
fi

if [ -n "$(modprobe -l -t boot)" ]
then
	modprobe -a -t boot \*  >/dev/null 2>&1 &
fi
wait

}
}
# vim:ts=4
