
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#include "../../src/initng.h"


#include <stdio.h>
#include "../../src/initng_handler.h"
#include "../../src/initng_global.h"
#include "../../src/initng_plugin_hook.h"
#include "../../src/initng_plugin_callers.h"


#include "initng_down.h"


void is_system_down(h_sys_state state)
{
    if (state == STATE_ASE)
    {
        initng_close_all_fd();
        initng_del_hook(SWATCHERS, &is_system_down);
    }
}

int module_init(void)
{
    D_("module_init();\n");
    return (initng_add_hook(SWATCHERS, &is_system_down));
}

void module_unload(void)
{
    D_("module_unload();\n");
    initng_del_hook(SWATCHERS, &is_system_down);
}
