
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef INITNG_H
#define INITNG_H

#define _GNU_SOURCE
#include <stdio.h>                          /* printf */
#include "initng_error.h"


#define DEBUG



/*
 * Temporary printf-replacement macros until a real logging system can be added.
 */
#define F_(fmt, ...) \
    print_error(MSG_FAIL, __FILE__, __func__, __LINE__, fmt, ## __VA_ARGS__);

#define W_(fmt, ...) \
    print_error(MSG_WARN, __FILE__, __func__, __LINE__, fmt, ## __VA_ARGS__);

#ifdef DEBUG
#define V_ADD(to_verb) s_set_another_string(VERBOSE_THIS, to_verb)
#define D_(fmt, ...) \
    print_error(MSG_VERBOSE, __FILE__, __func__, __LINE__, fmt, ## __VA_ARGS__);
#else
#define D_(fmt, ...)
#endif


#define TRUE    1
#define FALSE   0
#define FAIL    -1

#define INITNG_ROOT     "/etc/initng"
#define CONTROL_PATH    "/etc/initng"

#define INITNG_PLUGIN_DIR "/lib/initng"
#define STD_OUT         "/dev/vc/12"
#define STD_OUT2        "/dev/tty12"
#define STD_ERR         "/dev/console"

#define INITNG_EXT      ".i"

#define MAX_FILESIZE    10000               /* in bytes */
#define MAX_SERVICE     200
#define MAX_ACTIVE      100

#define HISTORY         400

#define M_D_F           50
#define M_S_D           50
#define INITNG_VERSION  "0.1.5 More or less bugs?"

#define INITNG_NICELEVEL -5

#define MAX_MODULES     100
#define MAX_CALLERS     200
#define MAX_DATA_TYPES  200

#define MAX_VERBOSES   100
#define MAX_BLACKLIST  10
/* printservice adds command -p to ngc, that bloats the console with all data */
#define PRINT_SERVICE
#define MAX_PRINT_LENGTH 55

#define ALL_USLEEP 1000
#endif
